summaryrefslogtreecommitdiffstats
path: root/debian/kexec-tools.config
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 02:56:36 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 02:56:36 +0000
commit35882cfa5f40cc40acd5ae65ced3e90fbf3cb74c (patch)
tree37c5bf1d95396a5b4d091502db8e959bf24b64a3 /debian/kexec-tools.config
parentAdding upstream version 1:2.0.27. (diff)
downloadkexec-tools-35882cfa5f40cc40acd5ae65ced3e90fbf3cb74c.tar.xz
kexec-tools-35882cfa5f40cc40acd5ae65ced3e90fbf3cb74c.zip
Adding debian version 1:2.0.27-1.debian/1%2.0.27-1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--debian/kexec-tools.config23
1 files changed, 23 insertions, 0 deletions
diff --git a/debian/kexec-tools.config b/debian/kexec-tools.config
new file mode 100644
index 0000000..4ccee75
--- /dev/null
+++ b/debian/kexec-tools.config
@@ -0,0 +1,23 @@
+#!/bin/sh -e
+CONFFILE=/etc/default/kexec
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+CONFIG_MODE=""
+
+if test -e "$CONFFILE"; then
+ . "$CONFFILE"
+
+ # Guard against admin writing silly things into the
+ # config file...
+ if test "$USE_GRUB_CONFIG" != "true" ; then
+ db_set kexec-tools/use_grub_config "false"
+ else
+ db_set kexec-tools/use_grub_config "true"
+ fi
+fi
+
+# Setup and select the configuration mode
+db_input medium kexec-tools/use_grub_config || true
+db_go